# RealPage Styles
Baseline styling for RealPage applications [![Build Status](https://travis-ci.com/realpage-ui/styles.svg?token=HyjVVB434AB9gCE9EWWV&branch=master)](https://travis-ci.com/realpage-ui/styles)

## Usage
To use `realpage/styles` within your project you'll need to run
`npm install @realpage/styles --save-dev` to get the latest version and save the
package to your `package.json` file.

## Quick start
Getting started with development requires the following steps:
- If you don't have `grunt-cli`, you'll need to run `npm install -g grunt-cli`
- Install dependencies with `npm install`
Now you're ready to go!

## Build options
Once you have installed the required dependencies, grunt provides the following
commands to help with development. When running the following, the resulting
build will compiled to `dist/styles.css`.
- `grunt` creates a an expanded version of `styles.css` and then watches for
changes
- `grunt build` creates an expanded version of `styles.css`
- `grunt build:dist` creates a minified version of `styles.css`
